package edu.wpi.prc.templates.java.generator;

import java.util.Date;

/**
 * Stores all work unit information retured by the server.getLastWorkUnit XML-RPC.
 * @author James Baldassari
 */
public class WorkUnit {
	private final String workUnitID;
	private final byte[] data;
	private final Date creationDate;
	private final int points;
	private final int priority;
	
	/**
	 * 
	 * @param workUnitID The work unit ID.
	 * @param data The work unit data.
	 * @param creationDate The work unit's creation date.
	 * @param points The work unit's point value.
	 * @param priority The work unit's priority.
	 */
	public WorkUnit(String workUnitID, byte[] data, Date creationDate, int points, int priority) {
		this.workUnitID = workUnitID;
		this.data = data;
		this.creationDate = creationDate;
		this.points = points;
		this.priority = priority;
	}

	/**
	 * @return Returns the creationDate.
	 */
	public Date getCreationDate() {
		return creationDate;
	}
	
	/**
	 * @return Returns the data.
	 */
	public byte[] getData() {
		return data;
	}
	
	/**
	 * @return Returns the points.
	 */
	public int getPoints() {
		return points;
	}
	
	/**
	 * @return Returns the priority.
	 */
	public int getPriority() {
		return priority;
	}
	
	/**
	 * @return Returns the work unit ID.
	 */
	public String getWorkUnitID() {
		return workUnitID;
	}
}
