package edu.wpi.prc.templates.java.validator;

/**
 * Stores all result information needed by the result validator.
 * @author James Baldassari
 */
public class Result {
	private final String resultID;
	private final byte[] data;

	/**
	 * Constructor specifying all members.
	 * @param resultID The ID of this result.
	 * @param data The result data.
	 */
	public Result(String resultID, byte[] data) {
		this.resultID = resultID;
		this.data = data;
	}

	/**
	 * @return Returns the ID of this result.
	 */
	public String getResultID() {
		return resultID;
	}
	
	/**
	 * @return Returns the data contained within this result.
	 */
	public byte[] getData() {
		return data;
	}
}
