package edu.wpi.prc.templates.java.validator;

/**
 * Stores all spot-check information needed by the result validator.
 * @author James Baldassari
 */
public class SpotCheck {
	private final String resultID;
	private final byte[] clientData;
	private final byte[] acceptedData;
	
	/**
	 * Constructor specifying all memebers.
	 * @param resultID The ID of this result.
	 * @param clientData The result data computed by the client.
	 * @param acceptedData The accepted result data computed by the project server.
	 */
	public SpotCheck(String resultID, byte[] clientData, byte[] acceptedData) {
		this.resultID = resultID;
		this.clientData = clientData;
		this.acceptedData = acceptedData;
	}

	/**
	 * @return Returns the ID of this result.
	 */
	public String getResultID() {
		return resultID;
	}
	
	/**
	 * @return Returns the result data computed by the client.
	 */
	public byte[] getClientData() {
		return clientData;
	}
	
	/**
	 * @return Returns the accepted result data computed by the project server.
	 */
	public byte[] getAcceptedData() {
		return acceptedData;
	}
}
