package edu.wpi.prc.persistence;

/**
 * Indicates an error initializing the log file.
 * @author James Baldassari
 */
public class InvalidLogPathException extends Exception {
	private static final long serialVersionUID = 1L;
	private String errorMessage = "InvalidLogPathException";
	
	/**
	 * Default constructor.
	 */
	public InvalidLogPathException() {
		
	}
	
	/**
	 * Constructor specifying an error message.
	 * @param errorMessage The error message.
	 */
	public InvalidLogPathException(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	
	/**
	 * Returns the error message for this Exception. 
	 */
	public String toString() {
		return errorMessage;
	}
}
