package edu.wpi.prc.project;

/**
 * The MissingConfigurationFileException is thrown when Project.readFromFile() cannot open 
 * the project configuration file.
 * @author James Baldassari
 */
public class MissingConfigurationFileException extends Exception {
	private static final long serialVersionUID = 1L;
	private String errorMsg = "MissingConfigurationFileException";
	
	/**
	 * Default constructor.
	 */
	MissingConfigurationFileException() {
		
	}
	
	/**
	 * Constructor specifying an error message.
	 * @param errorMsg The error message to set.
	 */
	MissingConfigurationFileException(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	
	/**
	 * @return Returns the error message associated with this Exception.
	 */
	public String toString() {
		return errorMsg;
	}
}
