package edu.wpi.prc.server;

/**
 * The DuplicateTaskIDException is thrown when an attempt is made
 * to add a work unit to the database/transitioner, but the requested
 * task ID is already in use by another task.
 * @author James Baldassari
 */
public class DuplicateTaskIDException extends Exception {
	public static final long serialVersionUID = 0;
	private String message = "DuplicateTaskIDException";
	
	/**
	 * Default constructor.
	 */
	public DuplicateTaskIDException() {
		
	}
	
	/**
	 * Constructor specifying an error message.
	 * @param message The error message.
	 */
	public DuplicateTaskIDException(String message) {
		this.message += ": " + message;
	}
	
	/**
	 * Returns a String representing this Exception.
	 * @return The error string.
	 */
	public String toString() {
		return message;
	}
}
