package edu.wpi.prc.server;

/**
 * This Exception is thrown when an attempt is made to 
 * get or remove an object from an empty queue.
 * @author James Baldassari
 */
public class EmptyQueueException extends Exception {
	public static final long serialVersionUID = 0;
	private String message = "EmptyQueueException";
	
	/**
	 * Default constructor.
	 */
	public EmptyQueueException() {
		
	}
	
	/**
	 * Constructor specifying an error message.
	 * @param message The error message.
	 */
	public EmptyQueueException(String message) {
		this.message += ": " + message;
	}
	
	/**
	 * Returns a String representing this Exception.
	 * @return The error string.
	 */
	public String toString() {
		return message;
	}
}
