package edu.wpi.prc.server;

/**
 * Stores the type of a Result that will be validated.
 * @author James Baldassari
 */
public enum ResultType {
	Single(0),
	Canonical(1),
	SpotCheck(2);
	
	private int value;
	
	ResultType(int value) {
		this.value = value;
	}
	
	/**
	 * @return Returns the value of this enum as an int.
	 */
	public int toInt() {
		return value;
	}
	
	/**
	 * @return Returns the value of this enum as an Integer.
	 */
	public Integer toInteger() {
		return new Integer(value);
	}
}
