package edu.wpi.prc.task;

/**
 * Keeps track of the state of each Task.
 * The task state corresponds to a particular transitioner queue.
 * @author James Baldassari
 *
 */
public enum TaskState {
	Ingress("Ingress"),
	Pending("Pending"),
	Egress("Egress"),
	SpotCheck("SpotCheck");
	
	private final String stateStr;
	
	TaskState(String stateStr) {
		this.stateStr = stateStr;
	}
	
	public String toString() {
		return stateStr;
	}
}
