package edu.wpi.prc.task.queue;

import java.util.Set;

/**
 * The TransitionerQueue is an interface for WorkUnit and Result
 * queues used in the Transitioner.
 * @author James Baldassari
 * @param <T> The type of object to be stored in the queue.
 */
public interface TransitionerQueue<T> extends Iterable<T>, Set<T> {
	public boolean addAll(T[] tArray);
	public T first();
	public T removeFirst();
}
